require_relative 'lib/botwings/version'

Gem::Specification.new do |spec|
  spec.name          = "botwings"
  spec.version       = Botwings::VERSION
  spec.authors       = ["Gitea"]
  spec.email         = ["gitea@fake.local"]

  spec.summary       = %q{Rules based fitness function.}
  spec.description   = %q{Follows a simple formula: compares user dataset to bot dataset. If user string doesn't match, increment one input value. Repeat until string matches, and use datasheet string. An autonomous data pointer and extender will be based on this concept.}
  spec.homepage      = "https://lwflouisa.github.io/Evolutionary-Model/"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end

  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
end
